unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs;

type
  TForm1 = class(TForm)
  private
    { Private declarations }
  public
    { Public declarations }
  protected
    procedure WMDeviceChange(var Msg : TMessage); message WM_DEVICECHANGE;
  end;

var
  Form1: TForm1;

implementation

{$R *.nfm}

procedure TForm1.WMDeviceChange(var Msg : TMessage);
const
  PLYTA_WLOZONA  = $8000;
  PLYTA_WYSUNIETA = $8004;
begin
  case Msg.wParam of
    PLYTA_WLOZONA: ShowMessage('Włożono płytę CD/DVD do napędu.');
    PLYTA_WYSUNIETA: ShowMessage('Płyta CD/DVD została wyjęta z napędu.');
  end;
end;

end.
